#include<bits\stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    long n, k, x;
    cin>>n>>k>>x;
    long a[n], tp = 1;
    for(int i = 0; i < n; i++)
    {
        a[i] = 1;
    }
    while(k > n - tp)
    {
        for(int j = 0; j < tp; j++)
        {
            a[j] += x;
        }
        tp++;
        k -= n - tp;
    }
    for(int i = 0; i < tp; i++)
    {
        a[i] += x;
    }
    tp++;
    for(int i = tp - 1; i < tp - 1 + k; i++)
    {
        a[i] = 2;
    }
    for(int i = 0; i < n; i++)
    {
        cout<<a[i]<<" ";
    }
}